<%@ page import='java.util.*' %>
<%@ page import='javax.jcr.*' %>

<% 
  String repName = (String) request.getSession().getAttribute("rep");
  Session ses = (Session) request.getSession().getAttribute("ses");
  Node node = (Node) request.getSession().getAttribute("node");
%>

<html>
  <body>
    <h1>eXo Platform JCR browser sample</h1>
      <form action="../admin/" method="post">
        <!-- input type="hidden" name="rep" value="<%= repName%>" -->
        <h2>Repository: <%= repName%></h2>
        <h2>Workspace: <%= ses.getWorkspace().getName()%> <input type="submit" name="submit" value="select"></h2>
      </form>
     <%if (!node.isSame(ses.getRootNode())) {%>
     <form action="." method="post">
       <input type="hidden" name="node" value="<%= node.getParent().getPath()%>">
       <h2>Path: <%= node.getPath()%> <input type="submit" name="submit" value=".."></h2>
     </form>
     <%} else {%>
       <h2>Path: <%= node.getPath()%></h2>
     <%}%>
     <h2><u>Children:</u></h2>
     <hr width="25%" align=left>
     <b><u>Properties:</u></b>
     <%if (node.hasProperties()) {%>
     <table border="1">
       <%PropertyIterator pi = node.getProperties();%>
       <%while (pi.hasNext()) {
           Property tp = pi.nextProperty();
           String pv = "";
           try {
             pv = tp.getString();
           } catch (Exception e) {
             try {
               Value[] pvs = tp.getValues();
               for(int i = 0; i < pvs.length; i++) {
                 if (i > 0)
                   pv = pv + ", ";
                 pv = pv + pvs[i].getString();
               }
             } catch (Exception e1) { pv = "&lt; non-viewable &gt;"; }
           }
       %>
       <tr><td><%= tp.getName()%></td><td><%= pv%></td></tr>
       <%}%>
     </table>
     <%}%>
     <hr width="25%" align=left>
     <b><u>Nodes:</u></b>
     <%if (node.hasNodes()) {%>
     <table>
       <%NodeIterator ni = node.getNodes();%>
       <%while (ni.hasNext()) {%>
         <%Node tn = ni.nextNode();%>
       <tr><td>
       <form action="." method="post">
         <input type="hidden" name="node" value="<%= tn.getPath()%>">
         <input type="submit" name="submit" value="<%= tn.getName()%>">
       </form>
       </td></tr>
       <%}%>
     </table>
     <%}%>
  </body>  
</html>
